#if !defined(_ADATA_PORTABLE_WSTRING_H)
#define _ADATA_PORTABLE_WSTRING_H

/*
** File: portable_wstring.h
** Project: API libraries
** Purpose: Defines portability functions used by API libraries
**
** (C) Copyright Alpha Data 2011
*/

#include <portability.h>

extern int
portableStringCompareW(
  const wchar_t* pString1,
  const wchar_t* pString2);

extern bool_t
portableUTF8ToWideChar(
  wchar_t* pBuffer,
  size_t bufferSize,
  const char* pAnsiString);

#endif
